@mixin text-style($fontSize, $fontWeight, $textTransform, $lineHeight, $color: black) {
    font-size: $fontSize;
    font-weight: $fontWeight;
    text-transform: $textTransform;
    line-height: $lineHeight;
    color: $color;
}

@mixin flex($direction: column, $marginBottom: 1.5em, $alignItems: flex-start) {
    display: flex;
    flex-direction: $direction;
    // flex-wrap: wrap;
    // width: fit-content;
    align-items: $alignItems;
    margin-bottom: $marginBottom;
}

@mixin gridColumns($gap: 1.3em) {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: $gap;
}

@mixin containerPaddings($left, $top, $right, $bottom) {
    padding-left: $left;
    padding-top: $top;
    padding-right: $right;
    padding-bottom: $bottom;
}
@mixin iconSize($size) {
    width: $size;
    height: $size;
    border-radius: 50%;
}

@mixin iconDesign($color: red, $fatness: 2px) {
    color: $color;
    border: $fatness solid $color;
}

// @mixin links {
//         text-decoration: none;
//         color: inherit;
//     }
